aboutsummaryrefslogtreecommitdiff
path: root/app/crypt
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2009-02-19 06:26:37 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2009-02-19 06:26:37 +0000
commitb6efc3603f3e0444e7077874c73aeaeb29acf0d9 (patch)
tree785fe9f631a77e6f4cd314222ffcaa595b9285fb /app/crypt
parente4d14358178722f521b5198f2cb2bc3793fa0fd8 (diff)
downloadslackbuilds-b6efc3603f3e0444e7077874c73aeaeb29acf0d9.tar.gz
slackbuilds-b6efc3603f3e0444e7077874c73aeaeb29acf0d9.tar.bz2
Updated: rkhunter-1.3.4 eclipse-3.4.1 nagios-3.0.6 nagios-plugins-1.4.13 iverilog-0.8.7
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@2110 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/crypt')
-rwxr-xr-xapp/crypt/pgpdump/pgpdump.SlackBuild89
1 files changed, 48 insertions, 41 deletions
diff --git a/app/crypt/pgpdump/pgpdump.SlackBuild b/app/crypt/pgpdump/pgpdump.SlackBuild
index 5da27a42..0c69dbf2 100755
--- a/app/crypt/pgpdump/pgpdump.SlackBuild
+++ b/app/crypt/pgpdump/pgpdump.SlackBuild
@@ -1,22 +1,24 @@
#!/bin/bash
#
# pgpdump.SlackBuild is free software; you can redistribute
-# it and/or modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2 of the License,
-# or any later version.
+# it and/or modify it under the terms of the GNU General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# pgpdump.SlackBuild is distributed in the hope that it will
-# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-# Public License for more details.
+# pgpdump.SlackBuild is distributed in the hope that it
+# will be useful, but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
-# slackbuild for pgpdump, by Alexandre Vieira de Souza
-# requires:
-# tested: pgpdump-0.26
+# SlackBuild for pgpdump
+# http://www.mew.org/~kazu/proj/pgpdump/
+#
+# Author: Luis ( luis at riseup d0t net )
#
# Look for slackbuildrc
@@ -33,19 +35,17 @@ PKG_NAME="pgpdump"
ARCH=${ARCH:=i486}
SRC_VERSION=${VERSION:=0.26}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
-BUILD=${BUILD:=1avs}
+BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_WORK="$TMP/$SRC_NAME"
-CONF_OPTIONS=${CONF_OPTIONS:=""}
-NUMJOBS=${NUMJOBS:="-j4"}
-
-# Set system libraries' path and optmization flags based on $ARCH
-LIBDIR="$PREFIX/lib"
+CONF_OPTIONS=${CONF_OPTIONS:=}
+NUMJOBS=${NUMJOBS:=-j3}
+# Set system optmization flags based on $ARCH
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
elif [ "$ARCH" = "i486" ]; then
@@ -55,9 +55,7 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIR="$PREFIX/lib64"
- LDFLAGS="-L/lib64 -L/usr/lib64"
+ SLKCFLAGS="-O2"
fi
# Set error codes (used by createpkg)
@@ -77,30 +75,28 @@ mkdir -p "$REPOS" || exit $ERROR_MKDIR
mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="$SRC_NAME-$VERSION.tar.gz"
+SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
URL="http://www.mew.org/~kazu/proj/pgpdump/$SRC"
-if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
# Untar
cd "$PKG_WORK"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
-PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
+PKG_SRC=`ls -l | awk '/^d/ { print $8 }'`
cd "$PKG_SRC"
# Configure
-CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- ./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+CFLAGS="$SLKCFLAGS" ./configure $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make $NUMJOBS || exit $ERROR_MAKE
# Install
-make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+mkdir -p "$PKG/$PREFIX/bin" "$PKG/$PREFIX/man/man1" || exit $ERROR_MKDIR
+make install prefix="$PKG/$PREFIX" || exit $ERROR_INSTALL
# Strip binaries
( cd "$PKG"
@@ -110,27 +106,38 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
xargs strip --strip-unneeded 2> /dev/null
)
+# Compress and link manpages
+if [ -d "$PKG/$PREFIX/man" ]; then
+ ( cd "$PKG/$PREFIX/man"
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
# Install documentation
-DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING LICENSE SIGNATURE readme.*"
+DOCS="CHANGES COPYRIGHT README"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
-for doc in $DOCS; do
- if [ -f "$doc" ]; then
- cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
- fi
-done
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" 2> /dev/null
# Add package description (slack-desc)
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
+# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
-pgpdump: pgpdump by Slack.Sarava
+ |-----handy-ruler-------------------------------------------------------|
+pgpdump: pgpdump
pgpdump:
pgpdump: pgpdump is a PGP packet visualizer which displays the packet format
pgpdump: of OpenPGP (RFC 2440 + bis) and PGP version 2 (RFC 1991).
@@ -139,7 +146,7 @@ pgpdump: For more information, http://www.mew.org/~kazu/proj/pgpdump/
pgpdump:
pgpdump:
pgpdump:
-pgpdump: by avs
+pgpdump:
pgpdump:
EODESC